#
# spec file for package libretro-beetle-lynx
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libretro-beetle-lynx
Version:        0~git20190911
Release:        lp152.1.3
Summary:        mednafen_lynx libretro core
License:        GPL-2.0
Group:          System/Emulators/Other
URL:            http://www.retroarch.com
Source:         %{name}-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  make

Provides:       libretro-mednafen-lynx
Obsoletes:      libretro-mednafen-lynx

%description
mednafen_lynx libretro core

%prep
%setup -q

%build
make

%install
mkdir -p %{buildroot}%{_libdir}/libretro
cp mednafen_lynx_libretro.so %{buildroot}%{_libdir}/libretro

%files
%dir %{_libdir}/libretro
%{_libdir}/libretro/mednafen_lynx_libretro.so

%changelog
* Thu Oct 10 2019 i@guoyunhe.me
- Update to version 0~git20190911:
  * (tvOS) support building
  * libretro: allow mingw cross compile
  * iOS: support for building using buildbot recipe
  * Update - MSVC2003 builds
  * Add libnx target
  * libretro: jni: Switch stl to c++ in preparation for ndk r20
  * msvc targets
  * Update - sync recent changes to to mdfn 1.22.2
  * Stereo_Buffer.cpp: silence runtime error found when running -fsanitizer
  * Update file.c
- Rename to libretro-beetle-lynx to follow upstream naming
- Remove info file because it is provided in core info package
* Wed Sep 13 2017 aplazas@suse.com
- Initial package, version 0~20170729.3b3fbd3 (no proper versioning
  done by upstream).
